Subject: Re: Synchronizing slots from primary to standby

From: Amit Kapila <[email-masked]>
Date: Thu, 1 Feb 2024 16:53:20 +0530

On Wed, Jan 31, 2024 at 10:40 AM Peter Smith <[email-masked]> wrote:
>
> On Wed, Jan 31, 2024 at 2:18 PM Amit Kapila <[email-masked]> wrote:
> >
> > >
> > > I think is correct to say all those *other* properties (create_slot,
> > > enabled, copy_data) are forced to false because those otherwise have
> > > default true values.
> > >
> >
> > So, won't when connect=false, the user has to explicitly provide such
> > values (create_slot, enabled, etc.) as false? If so, is using 'force'
> > strictly correct?
>
> Perhaps the original docs text could be worded differently; I think
> the word "force" here just meant setting connection=false
> forces/causes/makes those other options behave "as if" they had been
> set to false without the user explicitly doing anything to them.
>

Okay, I see your point. Let's remove the 'failover' from this part of
the sentence.

-- 
With Regards,
Amit Kapila.